import request from '@/utils/request'

// 查询季度用水明细列表
export function listUsage(query) {
    return request({
        url: '/crmQuarterlyWaterUsage/findByPage',
        method: 'get',
        params: query
    })
}

// 查询季度用水明细详细
export function getUsage(id) {
    return request({
        url: '/crmQuarterlyWaterUsage/' + id,
        method: 'get'
    })
}

// 新增季度用水明细
export function addUsage(data) {
    return request({
        url: '/crmQuarterlyWaterUsage',
        method: 'post',
        data: data
    })
}

// 修改季度用水明细
export function updateUsage(data) {
    return request({
        url: '/crmQuarterlyWaterUsage',
        method: 'put',
        data: data
    })
}

// 删除季度用水明细
export function delUsage(id) {
    return request({
        url: '/crmQuarterlyWaterUsage/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delUsageBatch(ids) {
    console.log(ids);
    return request.post('/crmQuarterlyWaterUsage/delete',ids)
}